class Subject
  include ActiveModel::Model
  attr_accessor :id, :created_at, :description, :highlights, :name, :learning_objects

  def highlights
    @highlights ||= subject_repository.get_highlights(self)
  end

  def learning_objects
    @learning_objects ||= subject_repository.get_learning_objects(self)
  end

  def subject_repository
    Portalmec::Application.repository.for :subject
  end

  def self.default_list
    ['Arte', 'Biologia', 'Ciências', 'Educação Física', 'Filosofia', 'Física', 'Geografia', 'História', 'Matemática', 'Português', 'Química', 'Sociologia']
  end
end
